Get Customer Last Change
curl --request GET \
--url https://api.jtl-cloud.com/erp/customers/{customerId}/lastChange \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/customers/{customerId}/lastChange"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/customers/{customerId}/lastChange', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"LastChangeDate": "2023-11-07T05:31:56Z"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}customer
Get Customer Last Change
deprecated
Get the date of the last change for a customer
GET
/
customers
/
{customerId}
/
lastChange
Get Customer Last Change
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the customer that the notes belong to. Represents a unique key for identifying a customer in the JTL system.
Was this page helpful?
⌘I